GenericMetadataSupport.WildCardBoundedType
Date: 2015-09-18

org.mockito.internal.util.reflection

## Class GenericMetadataSupport.WildCardBoundedType

- java.lang.Object
- - org.mockito.internal.util.reflection.GenericMetadataSupport.WildCardBoundedType

- All Implemented Interfaces:
    java.lang.reflect.Type, GenericMetadataSupport.BoundedType
  Enclosing class:
    GenericMetadataSupport

      public static class GenericMetadataSupport.WildCardBoundedType
      extends java.lang.Object
      implements GenericMetadataSupport.BoundedType

  Type representing bounds of a wildcard, allows to keep all bounds information.

  The JLS says that lower bound and upper bound are mutually exclusive, and that multiple bounds are not allowed.

  See Also:
    http://docs.oracle.com/javase/specs/jls/se5.0/html/typesValues.html#4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericMetadataSupport.WildCardBoundedType(java.lang.reflect.WildcardType wildcard)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.reflect.Type` | `firstBound()`
    `int` | `hashCode()`
    `java.lang.reflect.Type[]` | `interfaceBounds()`
    `java.lang.String` | `toString()`
    `java.lang.reflect.WildcardType` | `wildCard()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericMetadataSupport.WildCardBoundedType

          public GenericMetadataSupport.WildCardBoundedType(java.lang.reflect.WildcardType wildcard)

  - ### Method Detail

    - #### firstBound

          public java.lang.reflect.Type firstBound()

      Specified by:
        `firstBound` in interface `GenericMetadataSupport.BoundedType`
      Returns:
        The first bound, either a type or a reference to a TypeVariable

    - #### interfaceBounds

          public java.lang.reflect.Type[] interfaceBounds()

      Specified by:
        `interfaceBounds` in interface `GenericMetadataSupport.BoundedType`
      Returns:
        An empty array as, wildcard don't support multiple bounds.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### wildCard

          public java.lang.reflect.WildcardType wildCard()